-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 15 gennaio 2009
-- Description:	riporta il valore complessivo dei prodotti attualmente destinati all'area 
--				di bisogno progetto (controvalore attuale) ed il relativo valore di rischio (VaR attuale)
-- =============================================
-- [C6MartPeriodico].[PL_S84ControvaloreRisorseApportate] 'F','BDTMSS49A43F502I'
CREATE procedure [C6MartPeriodico].[PL_S84ControvaloreRisorseApportate]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	SELECT
		ID_AREA AS NEED_AREA,
		CASE
			WHEN NOME_PROGETTO = 'XXX' THEN ''
			ELSE LTRIM(RTRIM(NOME_PROGETTO))
		END AS NOME_PROGETTO,
		ordinamento_progetto,
		DATA_ATTIVAZIONE AS DATAVALORIZZAZIONE,
		APPORTO_INIZIALE AS CONTROVALORE,
		APPORTO_INIZIALE  AS RISORSEASSOCIATE
	FROM C6MartPeriodico.MONITORAGGIO_ATTUALE
	WHERE RETE = @Rete
		AND COD_FISCALE = @CodiceFiscale
	UNION
	SELECT
		ID_AREA,
		CASE
			WHEN NOME_PROGETTO = 'XXX' THEN ''
			ELSE LTRIM(RTRIM(NOME_PROGETTO))
		END AS NOME_PROGETTO,
		ordinamento_progetto,
		DATA_CTV,
		CTV_MONITORATO,
		ISNULL (RISORSE_ASSOCIATE, 0) -- ISNULL(CEDOLE_DIV, 0)
	FROM C6MartPeriodico.MONITORAGGIO_STORICO
	WHERE RETE = @Rete
		AND COD_FISCALE = @CodiceFiscale
	ORDER BY NEED_AREA, NOME_PROGETTO, DATAVALORIZZAZIONE
END